Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class RenameArguments

    java.lang.Object
      org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
          org.eclipse.ltk.core.refactoring.participants.RenameArguments

public class RenameArguments
extends RefactoringArguments

Rename arguments describe the data that a processor provides to its rename participants.

This class is not intended to be subclassed by clients.

Since:
  3.0

Constructor Summary
`RenameArguments(String newName, boolean updateReferences)` Creates new rename arguments.

Method Summary
`String` | `getNewName()` Returns the new element name.
`boolean` | `getUpdateReferences()` Returns whether reference updating is requested or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameArguments

    public RenameArguments(String newName,
                           boolean updateReferences)

  Creates new rename arguments.

Parameters:
  `newName` - the new name of the element to be renamed
  `updateReferences` - `true` if reference updating is requested; `false` otherwise

Method Detail

### getNewName

    public String getNewName()

  Returns the new element name.

  Returns:
    the new element name

### getUpdateReferences

    public boolean getUpdateReferences()

  Returns whether reference updating is requested or not.

  Returns:
    returns `true` if reference updating is requested; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.